CVE-2014-8103CVE-2014-8103

Affected configuration(s):

cpe:/a:x.org:xorg-server:1.15.0
cpe:/a:x.org:xorg-server:1.15.0.901
cpe:/a:x.org:xorg-server:1.15.1
cpe:/a:x.org:xorg-server:1.15.2
cpe:/a:x.org:xorg-server:1.15.99.901
cpe:/a:x.org:xorg-server:1.15.99.902
cpe:/a:x.org:xorg-server:1.15.99.903
cpe:/a:x.org:xorg-server:1.15.99.904
cpe:/a:x.org:xorg-server:1.16.0
cpe:/a:x.org:xorg-server:1.16.0.901
cpe:/a:x.org:xorg-server:1.16.1
cpe:/a:x.org:xorg-server:1.16.1.901
cpe:/a:x.org:xorg-server:1.16.2
cpe:/a:x.org:xorg-server:1.16.2.99.901
cpe:/a:x.org:xorg-server:1.16.2.901

Date published: 2014-12-10T10:59:15.753-05:00

Date last modified: 2017-01-02T21:59:17.923-05:00

CVSS Score: 6.5

Principal attack vector: NETWORK

Complexity:  LOW

Reference URL: http://secunia.com/advisories/61947

Summary: X.Org Server (aka xserver and xorg-server) 1.15.0 through 1.16.x before 1.16.3 allows remote authenticated users to cause a denial of service (out-of-bounds read or write) or possibly execute arbitrary code via a crafted length or index value to the (1) sproc_dri3_query_version, (2) sproc_dri3_open, (3) sproc_dri3_pixmap_from_buffer, (4) sproc_dri3_buffer_from_pixmap, (5) sproc_dri3_fence_from_fd, (6) sproc_dri3_fd_from_fence, (7) proc_present_query_capabilities, (8) sproc_present_query_version, (9) sproc_present_pixmap, (10) sproc_present_notify_msc, (11) sproc_present_select_input, or (12) sproc_present_query_capabilities function in the (a) DRI3 or (b) Present extension.

CategoriesUncategorised

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.